<?php

namespace App\Http\Controllers\AdminControllers;

use App\Http\Controllers\Controller;
use App\Models\Backend\Images;
use Illuminate\Http\Request;
use Image;
use Auth;


class MediaController extends Controller
{


    public static function fileUpload(Request $request)
    {

        $image = $request->file('file');

        $name = $image->getClientoriginalName();

        if ($request->hasFile('file') and in_array($image->getClientOriginalExtension(), ['png','jpg','jpeg','svg','webp'])) :

            $extension = $image->getClientOriginalExtension();

            $filename = $name;

            $path = 'admin/images/userImages/'. Images::count() . $filename;

            $actualname = pathinfo($path, PATHINFO_FILENAME);
        
            $upload_success = $image->move('admin/images/userImages/',Images::count() . $filename);
            
            $imagedata = Images::imagedata($filename, $path,$extension);

            if($imagedata) :

                return json_encode(['path' => $path ,'message' => 'Image Uploaded!']);

            else :

                return json_encode(['path' => '' ,'message' => 'There was an error!']);

            endif;

        else :

            return json_encode(['path' => '' ,'message' => 'Invalid Image']);
            
        endif;

    }

}
