<?php

namespace App\Http\Controllers\AdminControllers;

use App\Http\Controllers\Controller;
use App\Models\Core\Images;
use App\Models\Core\Language;
use App\Models\Core\Setting;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Lang;

class SiteSettingController extends Controller
{

    public function __construct()
    {
        $setting = new Setting();
        $this->Setting = $setting;

    }

    public function updateSetting(Request $request)
    {
        
        foreach ($request->all() as $key => $value)  :

            Setting::settingUpdate($key, $value);

        endforeach;

        return redirect()->back()->withErrors(['Settings Updated Successfully!']);
    }
 


    public function getlanguages()
    {
        $languages = $this->Setting->fetchLanguages();
        return $languages;
    }
    /*------------------------------------------------Image Type-----------------------------------------*/
    public function imageType()
    {
        $extensions = array('gif', 'jpg', 'jpeg', 'png');
        return $extensions;
    }
    // slugify method
    /*------------------------------------------------Slug-----------------------------------------*/
    public function slugify($slug)
    {

        // replace non letter or digits by -
        $slug = preg_replace('~[^\pL\d]+~u', '-', $slug);

        // transliterate
        if (function_exists('iconv')) {
            $slug = iconv('utf-8', 'us-ascii//TRANSLIT', $slug);
        }

        // remove unwanted characters
        $slug = preg_replace('~[^-\w]+~', '', $slug);

        // trim
        $slug = trim($slug, '-');

        // remove duplicate -
        $slug = preg_replace('~-+~', '-', $slug);

        // lowercase
        $slug = strtolower($slug);

        if (empty($slug)) {
            return 'n-a';
        }

        return $slug;
    }
}
