<?php

namespace App\Models\Core;



use Illuminate\Database\Eloquent\Model;

use Illuminate\Support\Facades\DB;



class Postmeta extends Model

{

	protected $table= 'postmeta';

	protected $guarded = [];

	public static function insertorupdate($check,$id){

		$fields = explode(',', $check['fields']);

		foreach( $fields as $field ) :

			$response = Postmeta::where([ 
										['post_id',$id],

										['meta_key',$field]
									])

					->get()->toArray();

			if( empty( $response ) ) :

				self::insert($check,$id);

			else :

				self::updatemeta($check,$id);

			endif;

			
		endforeach;

	}

	public static function insert($check,$id){

		$fields = explode(',', $check['fields']);

		foreach( $fields as $field ) :
			
		$result =	self::Create([

					'post_id' => $id,

					'meta_key' => $field,

					'meta_value' => $check[$field],
				
		]);

		endforeach;


	}


	public static function updatemeta($check,$id){

		$fields = explode(',', $check['fields']);

		foreach( $fields as $field ) :

		$result =	self::where([
									['post_id',$id],

									['meta_key',$field],

								])->update([


									'meta_value' => $check[$field],

								]);

		endforeach;

	}


public static function getMetaData($posts){

        foreach($posts as $key => $post):

            $metadatadb = Postmeta::where('post_id',$post['ID'])->get()->toArray();

            $metadata = [];

            foreach($metadatadb as $metakey => $data) :

                $metadata[$data['meta_key']] = $data['meta_value'];

            endforeach;

            $posts[$key]['metadata'] = $metadata;

        endforeach;

        return $posts;

}


}