<?php

namespace App\Models\Backend;

use Illuminate\Database\Eloquent\Model;


class Property extends Model

{

	protected $table= 'property_types';

	protected $guarded = [];

	public static function entry($data){

		$data = $data->all();

		return self::Create([

			'property_type_label' => $data['property_label'],

			'property_type_desc' => $data['property_desc'],

			'property_type_status' => $data['property_status'],

		]);

	}

	public static function updateProperty($data){

		return self::where('property_id',$data['property_id'])->update([

			'property_type_label' => $data['property_label'],

			'property_type_desc' => $data['property_desc'],

			'property_type_status' => $data['property_status'],

		]);

	}

}	