<?php

namespace App\Models\Core;

use Illuminate\Database\Eloquent\Model;
use App\Models\Core\Terms;


class TermRelations extends Model

{

	protected $table= 'taxonomy_term_relations';
	protected $guarded = [];

	public static function insertorupdate($data,$post_id){

		$terms = explode(',',$data['terms']);

		$terms = array_filter($terms);
	
		foreach($terms as $term) :

			$check = self::where([
									['term_id' , $data[$term]],

									['post_id' , $post_id]

								])->get()->toArray();


			if( empty($check) ) :

				$term_data = Terms::where('term_id',$data[$term])->first()->toArray();

				self::Create([

					'taxonomy_id' => $term_data['taxonomy_id'],

					'term_id' => $data[$term],

					'post_id' => $post_id 

				]);
			
			endif;

		endforeach;

	}


}	