<?php

namespace App\Models\Core;

use Illuminate\Database\Eloquent\Model;


class Terms extends Model

{

	protected $table= 'taxonomy_terms';
	protected $guarded = [];

	public static function insert($data){


	$response =	self::Create([

				'taxonomy_id' => $data['taxonomy_id'],

				'term_title' => $data['term_title'],
				
				'term_slug' => $data['slug']

			]);

	return $response;

	}

	public static function get_terms($data){

		$taxonomies = [];

		if( !empty($data) ){

			foreach($data as $item) :

				$terms = self::where('taxonomy_id',$item['id'])->get()->toArray();

				$taxonomies[$item['taxonomy_slug']] = $terms;

			endforeach;

		}
		
		return $taxonomies;

	}

	public static function checkSlug($slug){

		$slug = str_replace([',','.'],'',$slug );

		$check = self::all();

		$slugarr = [];

		foreach( $check as $checking ) :

			if( str_contains($checking->post_name, $slug) ) :

				$ending = substr( $checking->post_name, -7 );

				$int = filter_var( $ending, FILTER_SANITIZE_NUMBER_INT);

				if( $int == '' ) :

					$append = '2';

				else :

					$append = ($int+1);

				endif;

			else :

				$append = '';

			endif;

			array_push($slugarr, $checking->post_name);

		endforeach;

				if( in_array( $slug, $slugarr )  ) :

					$parsedslug = $slug.$append;

				else :
					
					$parsedslug = $slug;

				endif;

		return $parsedslug;
	}


}	