
<?php $customers = $data['customers'];?>

<div class="content-wrapper">
  <div class="d-flex justify-content-between mb-3 pl-3 align-items-center">
    <ul class="list-unstyled m-0 d-flex align-items-center justify-content-between">
      <li><h4 class="card-title m-0"><a href="<?=asset('admin/customers')?>" class="nav-link text-primary py-3 px-1">customers Types</a></h4></li>
      <li><h4 class="mdi mdi-chevron-right m-0 d-flex  py-3 px-1"></h4></li>
      <li><h4 class="card-title m-0  py-3 px-1"><?=$customers['customer_first_name']?></h4></li>
    </ul>

    <div class="dropdown">
      <a class="dropdown-toggle" type="button" id="editdropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="mdi icon-md text-primary mdi-dots-horizontal"></i>
      </a>
      <div class="dropdown-menu" aria-labelledby="editdropdown" style="">
        <a class="dropdown-item delete" data-dir="<?=asset('admin/customers/delete')?>" data-id="<?=$customers['customer_id']?>" href="javascript:;"><i class="mdi mdi-delete"></i>Delete</a>
      </div>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <div class="row">
        <div class="col-md-12">
          <div id="edit-screen" class="position-relative">
            <form class="js-form" action="<?=asset('admin/customers/update')?>" method="POST" after="">
              @csrf

              <div class="form-group">
                <label for="customer_icon">Customer Image (500 x 500) <span class="required">*</span></label>
                <input type="file" name="file" id="customer_icon" class="dropify image_file" data-max-width="500" data-max-height="500" data-default-file="<?=asset($customers['customer_image'])?>"/>
              </div>

              <input type="hidden" name="customer_id" value="<?=$customers['customer_id']?>">
              <div class="form-group">
                <label for="customer_first_name">First Name</label>
                <input type="text" required class="form-control" value="<?=$customers['customer_first_name']?>" name="customer_first_name" id="customer_first_name" placeholder="First Name">
              </div>

              <div class="form-group">
                <label for="customer_last_name">Last Name</label>
                <input type="text" required class="form-control" value="<?=$customers['customer_last_name']?>" name="customer_last_name" id="customer_last_name" placeholder="Last Name">
              </div>

              <div class="form-group">
                <label for="customer_email">Email</label>
                <input type="email" required class="form-control" value="<?=$customers['customer_email']?>" name="customer_email" id="customer_email" placeholder="Email">
              </div>

              <div class="form-group">
                <label for="customer_phone">Phone</label>
                <input type="text" data-type="tel" required class="form-control" value="<?=$customers['customer_phone']?>" name="customer_phone" id="customer_phone" placeholder="Phone">
              </div>

               <div class="form-group">
                <label for="customer_email">Image</label>
                <input type="text" required class="form-control" value="<?=$customers['customer_phone']?>" name="customer_phone" id="customer_phone" placeholder="Phone">
              </div>

                <button type="submit" class="btn btn-primary me-2">Submit</button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>