<?php $wdata = $data['working_hours']; $days = unserialize($wdata['days_data']);?>

<?php $employee = $data['employee']; ?>

<form class="js-form" action="<?=asset('admin/employees/update/hours')?>" method="POST" after="">
  @csrf
  <input type="hidden" name="employee_id" value="<?=$employee['employee_id']?>">
  <?php

  foreach($days as $key => $day) : ?>

    <div class="card time-parent p-3 border rounded mb-3 <?=$day['day_type']=='working' ? '' : 'collapsed'?>">
      <div class="card-header d-flex border rounded justify-content-between align-items-center">
        <h4 class="card-title m-0"><?=$key?></h4>
        <div class="form-check form-switch">
          <input class="form-check-input border position-relative" <?=$day['day_type']=='working' ? 'checked' : ''?> type="checkbox" role="switch" name="<?=$key?>day_type">
        </div>
      </div>
      <div class="card-body <?=$day['day_type']=='working' ? 'mt-3' : ''?>">
        <div class="row justify-content-between">
          <div class="col-md-6">
            <div class="form-group">
              <label for="<?=$key?>shift_start">Shift Start <span class="required">*</span></label>
              <div class="input-group date">
                <div class="input-group">
                  <input type="text" class="form-control timepicker-example" minTime="" value="<?=$day['shift_start']?>"  name="<?=$key?>shift_start">
                  <div class="input-group-addon input-group-append"><i class="ti-time text-primary input-group-text"></i></div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="<?=$key?>shift_end">Shift End <span class="required">*</span></label>
              <div class="input-group date">
                <div class="input-group">
                  <input type="text" class="form-control timepicker-example" name="<?=$key?>shift_end" value="<?=$day['shift_end']?>">
                  <div class="input-group-addon input-group-append"><i class="ti-time text-primary input-group-text"></i></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  <?php endforeach;?>

  <button type="submit" class="btn btn-primary me-2">Submit</button>
</div>
</form>