<?php

if( $data['data'] ) : 

  foreach($data['data'] as $item) : ?>

    <div class="card rounded border  mb-2">
      <div class="card-body p-3">
        <div class="row align-items-center">
          <div class="col-md-1"><?=$item['property_id']?></div>
          <div class="col-md-4"><?=$item['property_type_label']?></div>
          <div class="col-md-4"><?=$item['property_type_desc']?></div>
          <div class="col-md-2"><?= $item['property_type_status'] ? '<div class="badge badge-success">Active</div>' : '<div class="badge badge-danger">In Active</div>' ?></div>
          <div class="col-md-1">
            <div class="dropdown">
              <a class="h3 dropdown-toggle" type="button" id="propertydropdown<?=$item['property_id']?>" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="mdi mdi-dots-horizontal"></i>
              </a>
              <div class="dropdown-menu" aria-labelledby="propertydropdown<?=$item['property_id']?>" style="">
                <a class="dropdown-item edit" href="javascript:;" 

                data-dir="<?=asset('admin/property-type/edit')?>" 

                data-item="property"

                data="<?=$item['property_id']?>"><i class="mdi mdi-pencil-box-outline"></i>Edit</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item delete" data-dir="<?=asset('admin/property-type/delete')?>"  data-id="<?=$item['property_id']?>" href="javascript:;"><i class="mdi mdi-delete"></i>Delete</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  <?php endforeach;

else :?>

  <div class="card rounded mb-2" draggable="false">
    <div class="card-body p-3 text-center">
      <h4>No Property Types!</h4>
    </div>
  </div>

  <?php endif;?>