<?php

if( $data ) :

  foreach($data as $key => $cat) : ?>

    <div class="card rounded border mb-2 tab-link" data-tab="<?=$cat['category_id']?>" data-url="<?=asset('admin/services/category/filter')?>">
      <div class="card-body p-3">
        <div class="media align-items-center gap-1">
          <i class="mdi mdi-drag-vertical"></i>
          <img src="<?=asset($cat['category_icon'])?>" alt="image" class="img-sm rounded-circle">
          <div class="media-body">
            <h6 class="mb-1"><?=$cat['category_name']?></h6>
            <p class="mb-0 text-muted"><?=ucwords($cat['category_type'])?></p>
          </div>
          <div class="dropdown">
            <a class="dropdown-toggle" type="button" id="catdropdwn<?=$cat['category_id']?>" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <i class="mdi mdi-dots-horizontal"></i>
            </a>
            <div class="dropdown-menu" aria-labelledby="catdropdwn<?=$cat['category_id']?>" style="">
              <a class="dropdown-item edit" href="javascript:;"><i class="mdi mdi-pencil-box-outline"></i>Edit</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item delete" data="8" href="javascript:;"><i class="mdi mdi-delete"></i>Delete</a>
            </div>
          </div>
        </div>
      </div>
    </div>

    <?php

  endforeach;

else : ?>

  <div class="card rounded border  mb-2">
    <div class="card-body p-3">
      <h6 class="mb-1">No Categories</h6>
    </div>                              
  </div>

  <?php endif;?>