
<?php $service = $data['services'];?>

<div class="content-wrapper">
  <div class="d-flex justify-content-between mb-3 pl-3 align-items-center">
    <ul class="list-unstyled m-0 d-flex align-items-center justify-content-between">
      <li><h4 class="card-title m-0"><a href="<?=asset('admin/services/')?>" class="nav-link text-primary py-3 px-1">Services</a></h4></li>
      <li><h4 class="mdi mdi-chevron-right m-0 d-flex  py-3 px-1"></h4></li>
      <li><h4 class="card-title m-0  py-3 px-1"><?=$service['service_name']?></h4></li>
    </ul>

    <div class="dropdown">
      <a class="dropdown-toggle" type="button" id="editdropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="mdi icon-md text-primary mdi-dots-horizontal"></i>
      </a>
      <div class="dropdown-menu" aria-labelledby="editdropdown" style="">
        <a class="dropdown-item delete" data="<?=$service['service_id']?>" href="javascript:;"><i class="mdi mdi-delete"></i>Delete</a>
      </div>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <div class="row">
        <div class="col-md-3">
          <div class="p-3  border-right">

            <div class="card rounded border border-primary mb-2 tab-link-edit" data-direction="<?=asset('admin/services/edit-screen/')?>" data-id="<?=$service['service_id']?>" data-item="general">
              <div class="card-body p-3">
                <div class="media align-items-center gap-2">
                  <i class="mdi mdi-leaf text-primary"></i>
                  <div class="media-body">
                    <h6 class="mb-1 text-primary">General</h6>
                  </div>
                </div>
              </div>
            </div>

            <div class="card rounded border border-primary mb-2 tab-link-edit" data-direction="<?=asset('admin/services/edit-screen/')?>" data-id="<?=$service['service_id']?>" data-item="settings">
              <div class="card-body p-3">
                <div class="media align-items-center gap-2">
                  <i class="mdi mdi-settings text-primary"></i>
                  <div class="media-body">
                    <h6 class="mb-1 text-primary">Settings</h6>
                  </div>
                </div>
              </div>
            </div>

            <div class="card rounded border border-primary mb-2 tab-link-edit" data-direction="<?=asset('admin/services/edit-screen/')?>" data-id="<?=$service['service_id']?>" data-item="add-on">
              <div class="card-body p-3">
                <div class="media align-items-center gap-2">
                  <i class="mdi mdi-plus-circle-outline text-primary"></i>
                  <div class="media-body">
                    <h6 class="mb-1 text-primary">Add On Services</h6>
                  </div>
                </div>
              </div>
            </div>

          </div>
        </div>
        <div class="col-md-9">
          <div id="edit-screen">

          </div>
          <div id="table-loader" class="position-absolute top-0 left-0 w-100">
            <div class="loader-demo-box">
              <div class="dot-opacity-loader">
                <span></span>
                <span></span>
                <span></span>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>