

<?php $__env->startSection('content'); ?>


<div class="content-wrapper">
  <div class="d-flex justify-content-between mb-3 pl-3 align-items-center">
    <h4 class="card-title m-0">Property Type</h4>
    <button type="button" class="btn btn-primary d-flex align-items-center justify-content-center" style="gap:1rem" data-bs-toggle="modal" data-bs-target="#exampleModal"><i class="d-block mdi mdi-plus-circle-outline"></i> Add Property Type</button>
  </div>
  <div class="card">
    <div class="card-body">
      <div class="row">
        <div class="col-md-12">
          <div class="table-header my-3">
            <div class="row">
              <div class="col-md-11">
                <div class="d-flex align-items-center">
                  <i class="mdi icon-sm mdi-magnify text-primary"></i>
                  <input type="text" class="form-control" id="navbar-search-input" placeholder="Search" aria-label="search" aria-describedby="search">
                </div>
              </div>
              <div class="col-md-1 pl-0">
                <button type="button" class="btn btn-outline-primary btn-sm w-100 d-flex align-items-center justify-content-between m-0 btn-icon-text">
                  <i class="mdi mdi-filter m-0 btn-icon-append"></i>
                  Filter
                </button>
              </div>
            </div>
          </div>
          <div class="py-3 position-relative">
            <div class="property-head">
              <div class="card">
                <div class="card-body p-3">
                  <div class="row ps-0 align-items-center">
                    <div class="col-md-1"><strong>#</strong></div>
                    <div class="col-md-4"><strong>Label</strong></div>
                    <div class="col-md-4"><strong>Description</strong></div>
                    <div class="col-md-2"><strong>Status</strong></div>
                    <div class="col-md-1"><strong></strong></div>
                  </div>
                </div>
              </div>
            </div>

            <div id="table-column" class="py-2">

              <?php echo $__env->make('admin.property.loop',['data' => $data['property']], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            </div>

            <div id="table-loader" class="position-absolute top-0 left-0 w-100">
              <div class="loader-demo-box">
                <div class="dot-opacity-loader">
                  <span></span>
                  <span></span>
                  <span></span>
                </div>
              </div>
            </div>
            <hr>
            <div class="<?=count($data['property']['links']) < 4 ? 'd-none' : 'd-flex'?> justify-content-start">
              <nav>
                <ul class="pagination flex-wrap pagination-rounded">

                  <?php foreach($data['property']['links'] as $key => $link) :

                    if($key == 0) : ?>

                      <li class="page-item">
                        <a class="page-link <?=$link['url'] ? '' : 'disabled:;'?>" href="<?=$link['url'] ? $link['url'] : 'javascript:;'?>" >
                          <i class="ti-angle-left"></i>
                        </a>
                      </li>

                    <?php else : 

                     if( $key == ( count($data['property']['links']) - 1 ) ) : ?>

                      <li class="page-item">
                        <a class="page-link" href="<?=$link['url'] ? $link['url'] : 'javascript:;'?>">
                          <i class="ti-angle-right"></i>
                        </a>
                      </li>

                    <?php else : ?>

                      <li class="page-item <?=$link['active'] ? 'active' : ''?>">
                        <a class="page-link" href="<?=$link['url']?>">
                          <?=$link['label']?> 
                        </a>
                      </li>

                      <?php 

                    endif;

                  endif;

                endforeach;?>

              </ul>
            </nav>
          </div>

        </div>

      </div>

    </div>
  </div>
</div>
</div>


<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" style="display: none;" aria-hidden="true">
  <div class="modal-dialog modal-lg" style="width:60% !important" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add Property Type</h5>
        <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <form class="js-form" action="<?=asset('admin/property-type/add')?>" method="POST" after="<?=asset('admin/property-type/refresh')?>">
          <?php echo csrf_field(); ?>
          <div class="form-group">
            <label for="property_label">Label</label>
            <input type="text" required class="form-control" name="property_label" id="property_label" placeholder="Property Type Label">
          </div>
          <div class="form-group">
            <label for="property_desc">Description</label>
            <textarea class="form-control" required name="property_desc" id="property_desc" rows="4" spellcheck="false"></textarea>
          </div>
          <div class="form-group">
            <label for="property_status">Status</label>
            <select id="property_status" name="property_status" class="select2 form-control w-100">
              <option value="1">Available</option>
              <option value="0">Not Available</option>
            </select>
          </div>
          <button type="submit" class="btn btn-primary me-2">Submit</button>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancel</button>
      </div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/property/property.blade.php ENDPATH**/ ?>