
<?php 

if( $data['data'] ) :

  foreach($data['data'] as $location) : ?>

    <div class="card rounded border  mb-2">
      <div class="card-body p-3">
        <div class="row align-items-center">
          <div class="col-md-1">
            <input type="checkbox" class="form-check-input position-relative m-0">
          </div>
          <div class="col-md-2">
            <?php if(file_exists($location['location_image']) && !empty($location['location_image'])): ?>
            <img src="<?=asset($location['location_image'])?>" alt="image" class="img-sm me-3 rounded-circle">
            <?php else: ?>
            No Image
            <?php endif; ?>
          </div>
          <div class="col-md-2">
            <h6 class="mb-2"><?=$location['location_name'].' '.$location['location_name']?></h6>
          </div>
          <div class="col-md-3"><?= $location['location_address']?></div>
          <div class="col-md-2"><?= $location['location_phone']?></div>
          <div class="col-md-2">
            <div class="dropdown">
              <a class="h3 dropdown-toggle" type="button" id="propertydropdown8" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="mdi mdi-dots-horizontal"></i>
              </a>
              <div class="dropdown-menu" aria-labelledby="propertydropdown8" style="">
                <a class="dropdown-item edit" href="javascript:;"
                
                data-dir="<?=asset('admin/location/edit')?>" 

                data-item="location"

                data="<?=$location['location_id']?>"><i class="mdi mdi-pencil-box-outline"></i>Edit</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item delete" data-dir="<?=asset('admin/location/delete')?>"  data-id="<?=$location['location_id']?>" href="javascript:;"><i class="mdi mdi-delete"></i>Delete</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  <?php endforeach; 

  count($data['links']) < 4 ? $class = 'd-none' : $class = 'd-flex'; ?>
 
  <hr class="<?=$class?>">
  <div class="justify-content-start <?=$class?>">
    <nav>
      <ul class="pagination flex-wrap pagination-rounded">

        <?php foreach($data['links'] as $key => $link) :

          if($key == 0) : ?>

            <li class="page-item">
              <a class="page-link <?=$link['url'] ? '' : 'disabled:;'?>" href="<?=$link['url'] ? $link['url'] : 'javascript:;'?>" >
                <i class="ti-angle-left"></i>
              </a>
            </li>

          <?php else : 

            if( $key == ( count($data['links']) - 1 ) ) : ?>

            <li class="page-item">
              <a class="page-link" href="<?=$link['url'] ? $link['url'] : 'javascript:;'?>">
                <i class="ti-angle-right"></i>
              </a>
            </li>

          <?php else : ?>

            <li class="page-item <?=$link['active'] ? 'active' : ''?>">
              <a class="page-link" href="<?=$link['url']?>">
                <?=$link['label']?> 
              </a>
            </li>

            <?php 

          endif;

        endif;

      endforeach;?>

    </ul>
  </nav>
</div>

<?php else :?>

  <div class="card rounded mb-2" draggable="false">
    <div class="card-body p-3 text-center">
      <h4>No locations!</h4>
    </div>
  </div>


<?php endif; ?>
<?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/location/loop.blade.php ENDPATH**/ ?>