<?php $service = $data['services'];?>

<div class="row">
  <div class="col-md-12">
    <div class="py-3 position-relative">
      <div class="d-flex justify-content-end mb-3 pl-3 align-items-center">
        <button type="button" class="btn btn-sm btn-primary d-flex align-items-center justify-content-center gap-2" data-bs-toggle="modal" data-bs-target="#exampleModal"><i class="d-flex mdi mdi-plus-circle-outline"></i> Add Addon Services</button>
      </div>

      <div class="services-head border-bottom">
        <div class="card">
          <div class="card-body px-2 py-3">
            <div class="row ps-0 align-items-center">
              <div class="col-md-1"><strong>#</strong></div>
              <div class="col-md-3"><strong>Name</strong></div>
              <div class="col-md-4"><strong>Description</strong></div>
              <div class="col-md-2"><strong>Duration</strong></div>
              <div class="col-md-1"><strong>Price</strong></div>
              <div class="col-md-1"><strong></strong></div>
            </div>
          </div>
        </div>
      </div>

      <div id="table-column" class="py-2">

        <?php echo $__env->make('admin.services.add-on-loop',['data' => $data['addons']], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

      </div>

    </div>

    <div id="table-loader" class="position-absolute top-0 left-0 w-100">
      <div class="loader-demo-box">
        <div class="dot-opacity-loader">
          <span></span>
          <span></span>
          <span></span>
        </div>
      </div>
    </div>
  </div>
</div>


<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" style="display: none;" aria-hidden="true">
  <div class="modal-dialog modal-lg" style="width: 60% !important" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add Service</h5>
        <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <form class="js-form" action="<?=asset('admin/services/add')?>" method="POST" after="<?=asset('admin/services/refresh/addon/'.$service['service_id'])?>">
          <?php echo csrf_field(); ?>
          <div class="row">
            <div class="col-md-12">
              <input type="hidden" name="parent_service" value="<?=$service['service_id']?>">
              <div class="form-group">
                <label for="service_name">Service Name <span class="required">*</span></label>
                <input type="text" required class="form-control" name="service_name" id="service_name" placeholder="">
              </div>

            </div>
            <div class="col-md-12">

              <div class="form-group">
                <label for="service_description">Description <span class="required">*</span></label>
                <textarea class="form-control" required name="service_description" id="service_description" rows="5" spellcheck="false"></textarea>

              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label for="service_duration">Additional Duration <span class="required">*</span></label>
                <select class="select2 w-100" name="service_duration" id="service_duration">
                  <?php

                  $range = range(0, 47);

                  $i = 0;

                  foreach($range as $key => $time) :

                    $i+= 30;

                    $h = round( ( $i / 60 ) , 0 ,PHP_ROUND_HALF_DOWN );  

                    $key % 2 == 0 ? $m = '30' : $m = 0 ;  

                    $view = '';

                    $h != 0 ? $view = $h.'h' : '';

                    $m != 0 ? $view.= ' '.$m.'min' : '';

                    $view == ' 30min' ? $view = '30min' : '';  ?>

                    <option><?=$view?></option>

                  <?php endforeach; ?>
                </select>
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label>Regular Price <span class="required">*</span></label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text bg-dark">$</span>
                  </div>
                  <input type="number" name="service_price" required class="form-control" min="0" aria-label="Price">
                </div>
              </div>
            </div>
          </div>

          <button type="submit" class="btn btn-primary me-2">Submit</button>
        </form>
      </div>
    </div>

  </div>
</div>
</div>
<?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/services/add-on.blade.php ENDPATH**/ ?>