<?php $appointments = $data['appointments'];

?>

<div class="p-3 position-relative">
  <form class="js-form" action="<?=asset('admin/appointments/update')?>" method="POST" after="">
    <?php echo csrf_field(); ?>
    <input type="hidden" name="appointment_id" value="<?=$appointments['appointment_id']?>">

    <div class="row">

     <div class="col-md-6">
      <div class="form-group">
        <label for="appointment_customers">Customers</label>
        <select class="select2 w-100" multiple name="appointment_customers[]" data-placeholder="Select Customer(s)" id="appointment_customers">

          <?php

          if( $data['customers'] ) :

            $appointments['appointment_customers'] != '' ? $check = unserialize($appointments['appointment_customers']) : $check = [];

            foreach($data['customers'] as $key => $customer) : 

              in_array($customer['customer_id'], $check) ? $attr = 'selected' : $attr = ''; ?>

              <option value="<?=$customer['customer_id']?>" <?=$attr?>>
                <div class="d-flex justify-content-between">
                  <p><?=$customer['customer_first_name']?> <?=$customer['customer_last_name']?></p>
                </div>
              </option>

            <?php endforeach;

          endif;?>

        </select>
      </div>
    </div>

    <div class="col-md-6">
      <div class="form-group">
        <label for="employee">Employee</label>
        <select class="select2 w-100" name="appointment_employees" data-placeholder="Select Employee" id="employee">

          <?php

          if( $data['employees'] ) :

            foreach($data['employees'] as $key => $employee) : 

              $appointments['appointment_employees']==$employee['employee_id'] ? $attr = 'selected' : $attr = ''; 
           ?>

              <option value="<?=$employee['employee_id']?>" <?=$attr?>>
                <div class="d-flex justify-content-between">
                  <p><?=$employee['employee_first_name']?> <?=$employee['employee_last_name']?></p>
                </div>
              </option>

            <?php endforeach;

          endif;?>

        </select>
      </div>
    </div>

    <div class="col-md-6">
      <div class="form-group">
        <label for="service">Service</label>
        <select class="select2 w-100" name="appointment_services" data-placeholder="Select Service" id="service">

          <?php

          if( $data['services'] ) :

            foreach($data['services'] as $key => $service) : 

              $appointments['appointment_services']==$service['service_id'] ? $attr = 'selected' : $attr = '';

           ?>

              <option value="<?=$service['service_id']?>" <?=$attr?>>
                <div class="d-flex justify-content-between">
                  <p><?=$service['service_name']?></p>
                </div>
              </option>

            <?php endforeach;

          endif;?>

        </select>
      </div>
    </div>
    <div class="col-md-6">
      <div class="form-group">
        <label for="appointment_duration">Duration <span class="required">*</span></label>
        <select class="select2 w-100" name="appointment_duration" id="appointment_duration">
          <?php

          $range = range(0, 47);

          $i = 0;

          foreach($range as $key => $time) :

            $i+= 30;
            
            $h = round( ( $i / 60 ) , 0 ,PHP_ROUND_HALF_DOWN );  
            
            $key % 2 == 0 ? $m = '30' : $m = 0 ;  

            $view = '';

            $h != 0 ? $view = $h.'h' : '';

            $m != 0 ? $view.= ' '.$m.'min' : '';

            $view == ' 30min' ? $view = '30min' : ''; 

            $view == $appointments['appointment_duration'] ? $attr = 'selected' : $attr = ''; ?>

            <option <?=$attr?> ><?=$view?></option>

          <?php endforeach; ?>

        </select>
      </div>
    </div>

    <div class="col-md-6">
      <div class="form-group">
        <label for="appointment_date">Appointment Date <span class="required">*</span></label>
        <input type="date" name="appointment_date" id="appointment_date" value="<?=$data['appointments']['appointment_date'] ?>">
      </div>
    </div>


    <button type="submit" class="btn btn-primary me-2">Submit</button>

  </div>
</form>
</div>
<?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/appointments/edit.blade.php ENDPATH**/ ?>