<?php

if( $data['data'] ) : 


  foreach($data['data'] as $item) : ?>

    <div class="card rounded border  mb-2">

      <div class="card-body px-3 py-2">
      
        <div class="row align-items-center">
      
          <!-- <div class="col-md-1"><i class="mdi mdi-drag-vertical"></i></div> -->

          <div class="col-md-1"><?=$item['appointment_id']?></div>

          <div class="col-md-1"><?=$item['appointment_date']?></div>
      
          <div class="col-md-2"><?=$item['appointment_duration']?></div>
      
          <div class="col-md-3">
      
            <ul class="list-unstyled d-flex employees-list">

                <?php foreach($item['appointment_customers'] as $employee) : ?>
    
                <li class="rounded-circle">
                
                 <?=$employee['customer_first_name']?>
                       
                </li>
    
              <?php endforeach; ?>
    
            </ul>

          </div>

          <div class="col-md-2"></div>
      
          <div class="col-md-1">
      
            <div class="dropdown">
      
              <a class="h3 dropdown-toggle" type="button" id="propertydropdown<?=$item['appointment_id']?>" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="mdi mdi-dots-horizontal"></i>
              </a>
      
              <div class="dropdown-menu" aria-labelledby="propertydropdown<?=$item['appointment_id']?>" style="">
      
                <a class="dropdown-item edit" href="javascript:;" data-dir="<?=asset('admin/appointments/edit')?>" 

                data-item="services"

                data="<?=$item['appointment_id']?>"><i class="mdi mdi-pencil-box-outline"></i>Edit</a>
      
                <div class="dropdown-divider"></div>
      
                <a class="dropdown-item delete" data-dir="<?=asset('admin/appointments/delete')?>"  data-id="<?=$item['appointment_id']?>" href="javascript:;"><i class="mdi mdi-delete"></i>Delete</a>
      
              </div>
      
            </div>
      
          </div>
      
        </div>
     
      </div>
    
    </div>

  <?php endforeach; ?>

  <hr>

  <div class="<?=count($data['links']) < 4 ? 'd-none' : 'd-flex'?> justify-content-start">
    <nav>
      <ul class="pagination flex-wrap pagination-rounded">

        <?php foreach($data['links'] as $key => $link) :

          if($key == 0) : ?>

            <li class="page-item">
              <a class="page-link <?=$link['url'] ? '' : 'disabled:;'?>" href="<?=$link['url'] ? $link['url'] : 'javascript:;'?>" >
                <i class="ti-angle-left"></i>
              </a>
            </li>

          <?php else : 

           if( $key == ( count($data['links']) - 1 ) ) : ?>

            <li class="page-item">
              <a class="page-link" href="<?=$link['url'] ? $link['url'] : 'javascript:;'?>">
                <i class="ti-angle-right"></i>
              </a>
            </li>

          <?php else : ?>

            <li class="page-item <?=$link['active'] ? 'active' : ''?>">
              <a class="page-link" href="<?=$link['url']?>">
                <?=$link['label']?> 
              </a>
            </li>

            <?php 

          endif;

        endif;

      endforeach;?>

    </ul>
  </nav>
</div>

<?php else :?>

  <div class="card rounded mb-2" draggable="false">
    <div class="card-body p-3 text-center">
      <h4>No Appointments</h4>
    </div>
  </div>

<?php endif;?>

<?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/appointments/loop.blade.php ENDPATH**/ ?>