<?php

if( $data['data'] ) : 

  foreach($data['data'] as $item) : ?>

    <div class="card rounded border  mb-2">

      <div class="card-body px-3 py-2">
      
        <div class="row align-items-center">
      
          <div class="col-md-1"><i class="mdi mdi-drag-vertical"></i></div>
      
          <div class="col-md-1"><img src="<?=asset($item['service_icon'])?>" alt="image" class="img-sm me-3 rounded-circle"></div>
      
          <div class="col-md-3"><?=$item['service_name']?></div>
      
          <div class="col-md-2"><?=$item['service_duration']?></div>
      
          <div class="col-md-2"><?=$item['service_price']?></div>
      
          <div class="col-md-2">
      
            <ul class="list-unstyled d-flex employees-list">

              <?php foreach($item['service_employees'] as $employee) : ?>
    
                <li class="rounded-circle">
                
                  <a href="javascript:;"  title="<?=$employee['employee_first_name']?> <?=$employee['employee_last_name']?>">
                    
                    <img src="<?=asset($employee['employee_image'])?>" alt="image" class="img-xs me-3 rounded-circle">
                 
                  </a>
                
                </li>
    
              <?php endforeach; ?>
    
            </ul>

          </div>
      
          <div class="col-md-1">
      
            <div class="dropdown">
      
              <a class="h3 dropdown-toggle" type="button" id="propertydropdown<?=$item['service_id']?>" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="mdi mdi-dots-horizontal"></i>
              </a>
      
              <div class="dropdown-menu" aria-labelledby="propertydropdown<?=$item['service_id']?>" style="">
      
                <a class="dropdown-item edit" href="javascript:;" data-dir="<?=asset('admin/services/edit')?>" 

                data-item="services"

                data="<?=$item['service_id']?>"><i class="mdi mdi-pencil-box-outline"></i>Edit</a>
      
                <div class="dropdown-divider"></div>
      
                <a class="dropdown-item delete" data-dir="<?=asset('admin/services/delete')?>"  data-id="<?=$item['service_id']?>" href="javascript:;"><i class="mdi mdi-delete"></i>Delete</a>
      
              </div>
      
            </div>
      
          </div>
      
        </div>
     
      </div>
    
    </div>

  <?php endforeach; ?>

  <hr>

  <div class="<?=count($data['links']) < 4 ? 'd-none' : 'd-flex'?> justify-content-start">
    <nav>
      <ul class="pagination flex-wrap pagination-rounded">

        <?php foreach($data['links'] as $key => $link) :

          if($key == 0) : ?>

            <li class="page-item">
              <a class="page-link <?=$link['url'] ? '' : 'disabled:;'?>" href="<?=$link['url'] ? $link['url'] : 'javascript:;'?>" >
                <i class="ti-angle-left"></i>
              </a>
            </li>

          <?php else : 

           if( $key == ( count($data['links']) - 1 ) ) : ?>

            <li class="page-item">
              <a class="page-link" href="<?=$link['url'] ? $link['url'] : 'javascript:;'?>">
                <i class="ti-angle-right"></i>
              </a>
            </li>

          <?php else : ?>

            <li class="page-item <?=$link['active'] ? 'active' : ''?>">
              <a class="page-link" href="<?=$link['url']?>">
                <?=$link['label']?> 
              </a>
            </li>

            <?php 

          endif;

        endif;

      endforeach;?>

    </ul>
  </nav>
</div>

<?php else :?>

  <div class="card rounded mb-2" draggable="false">
    <div class="card-body p-3 text-center">
      <h4>No Services</h4>
    </div>
  </div>

<?php endif;?>

<?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/services/loop.blade.php ENDPATH**/ ?>