
<?php $property = $data['property'];?>

<div class="content-wrapper">
  <div class="d-flex justify-content-between mb-3 pl-3 align-items-center">
    <ul class="list-unstyled m-0 d-flex align-items-center justify-content-between">
      <li><h4 class="card-title m-0"><a href="<?=asset('admin/property-type/')?>" class="nav-link text-primary py-3 px-1">Property Types</a></h4></li>
      <li><h4 class="mdi mdi-chevron-right m-0 d-flex  py-3 px-1"></h4></li>
      <li><h4 class="card-title m-0  py-3 px-1"><?=$property['property_type_label']?></h4></li>
    </ul>

    <div class="dropdown">
      <a class="dropdown-toggle" type="button" id="editdropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="mdi icon-md text-primary mdi-dots-horizontal"></i>
      </a>
      <div class="dropdown-menu" aria-labelledby="editdropdown" style="">
        <a class="dropdown-item delete" data-dir="<?=asset('admin/property-type/delete')?>" data-id="<?=$property['property_id']?>" href="javascript:;"><i class="mdi mdi-delete"></i>Delete</a>
      </div>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <div class="row">
        <div class="col-md-12">
          <div id="edit-screen" class="position-relative">
            <form class="js-form" action="<?=asset('admin/property-type/update')?>" method="POST" after="<?=asset('admin/property-type/update/refresh')?>">
              <?php echo csrf_field(); ?>
              <input type="hidden" name="property_id" value="<?=$property['property_id']?>">
              <div class="form-group">
                <label for="property_label">Label</label>
                <input type="text" required class="form-control" value="<?=$property['property_type_label']?>" name="property_label" id="property_label" placeholder="Property Type Label">
              </div>
              <div class="form-group">
                <label for="property_desc">Description</label>
                <textarea class="form-control" required name="property_desc" id="property_desc" rows="4" spellcheck="false"><?=$property['property_type_desc']?></textarea>
              </div>
              <div class="form-group">
                <label for="property_status">Status</label>
                <select id="property_status" name="property_status" class="select2 form-control w-100">
                  <option value="1" selected>Available</option>
                  <option value="0">Not Available</option>
                </select>
              </div>
              <button type="submit" class="btn btn-primary me-2">Submit</button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div><?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/property/edit.blade.php ENDPATH**/ ?>