

<?php $__env->startSection('content'); ?>

<div class="content-wrapper">
  <div class="d-flex justify-content-between mb-3 pl-3 align-items-center">
    <h4 class="card-title m-0">Services</h4>
    <button type="button" class="btn btn-primary d-flex align-items-center justify-content-center gap-2" data-bs-toggle="modal" data-bs-target="#exampleModal"><i class="d-block mdi mdi-plus-circle-outline"></i> Add Services</button>
  </div>
  <div class="card">
    <div class="card-body">
      <div class="row">
        <div class="col-md-4">
          <div class="py-3 px-2 position-relative border-right">

            <div id="small-column" class="py-2 ">

              <div class="card rounded border mb-2 active tab-link" data-tab="all" data-url="<?=asset('admin/services/category/filter')?>">
                <div class="card-body py-3 px-3">
                  <div class="media align-items-center gap-1">
                   <div class="media-body">
                    <h6 class="mb-1 mb-0">All Services</h6>
                    <p class="mb-0">Services</p>
                  </div>
                </div>
              </div>
            </div>

            <?php echo $__env->make('admin.services.catloop',['data' => $data['categories']], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

          </div>

          <button class="btn w-100 btn-primary d-flex align-items-center justify-content-center gap-2" data-bs-toggle="modal" data-bs-target="#serviceCategory"><i class="d-block mdi mdi-plus-circle-outline"></i>Add Category</button>

        </div>
        <div id="cat-loader" class="position-absolute top-0 left-0 w-100">
          <div class="loader-demo-box">
            <div class="dot-opacity-loader">
              <span></span>
              <span></span>
              <span></span>
            </div>
          </div>
        </div>

      </div>
      <div class="col-md-8">

        <div class="py-3 position-relative">

          <div class="table-header my-3">
            <div class="row">
              <div class="col-md-10">
                <div class="d-flex align-items-center">
                  <i class="mdi icon-sm mdi-magnify text-primary"></i>
                  <input type="text" class="form-control" id="navbar-search-input" placeholder="Search" aria-label="search" aria-describedby="search">
                </div>
              </div>
              <div class="col-md-2">
                <button type="button" class="btn btn-outline-primary btn-sm w-100 d-flex align-items-center justify-content-between m-0 btn-icon-text">
                  <i class="mdi mdi-filter m-0 btn-icon-append"></i>
                  Filter
                </button>
              </div>
            </div>
          </div>


          <div class="services-head border-bottom">
            <div class="card">
              <div class="card-body px-2 py-3">
                <div class="row ps-0 align-items-center">
                  <div class="col-md-1"><strong>#</strong></div>
                  <div class="col-md-1"><strong>Icon</strong></div>
                  <div class="col-md-3"><strong>Name</strong></div>
                  <div class="col-md-2"><strong>Duration</strong></div>
                  <div class="col-md-2"><strong>Price</strong></div>
                  <div class="col-md-2"><strong>Employee</strong></div>
                  <div class="col-md-1"><strong></strong></div>
                </div>
              </div>
            </div>
          </div>

          <div id="table-column" class="py-2">

            <?php echo $__env->make('admin.services.loop',['data' => $data['services']], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

          </div>

        </div>

        <div id="table-loader" class="position-absolute top-0 left-0 w-100">
          <div class="loader-demo-box">
            <div class="dot-opacity-loader">
              <span></span>
              <span></span>
              <span></span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</div>


<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" style="display: none;" aria-hidden="true">
  <div class="modal-dialog modal-lg" style="width: 60% !important" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add Service</h5>
        <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <form class="js-form" action="<?=asset('admin/services/add')?>" method="POST" after="<?=asset('admin/services/refresh/services/0')?>">
          <?php echo csrf_field(); ?>
          <div class="row">
            <div class="col-md-4">
              <div class="form-group">
                <label for="service_icon">Service Icon (500 x 500) <span class="required">*</span></label>
                <input type="file" name="file" id="service_icon" class="dropify image_file" data-max-width="500" data-max-height="500" />
              </div>
            </div>

            <div class="col-md-8">

              <div class="form-group">
                <label for="service_name">Service Name <span class="required">*</span></label>
                <input type="text" required class="form-control" name="service_name" id="service_name" placeholder="">
              </div>

              <div class="form-group">
                <label for="service_category">Category <span class="required">*</span></label>
                <select class="select2 w-100" name="service_category" id="service_category">

                  <?php

                  if( $data['categories'] ) :

                    foreach($data['categories'] as $key => $cat) : ?>

                      <option value="<?=$cat['category_id']?>"><?=$cat['category_name']?></option>

                    <?php endforeach;

                  endif;?>

                </select>
              </div>

              <div class="form-group">
                <label for="service_description">Description <span class="required">*</span></label>
                <textarea class="form-control" required name="service_description" id="service_description" rows="5" spellcheck="false"></textarea>
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label for="service_employees">Employees</label>
                <select class="select2 w-100" multiple name="service_employees[]" data-placeholder="Select Employee(s)" id="service_employees">

                  <?php

                  if( $data['employees'] ) :

                    foreach($data['employees'] as $key => $employee) : ?>

                      <option value="<?=$employee['employee_id']?>">
                        <div class="d-flex justify-content-between">
                          <p><?=$employee['employee_first_name']?> <?=$employee['employee_last_name']?></p>
                          <img src="<?=asset($employee['employee_image'])?>" alt="image" class="img-sm me-3 rounded-circle">
                        </div>
                      </option>

                    <?php endforeach;

                  endif;?>

                </select>
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label for="service_duration">Duration <span class="required">*</span></label>
                <select class="select2 w-100" name="service_duration" id="service_duration">
                  <option>30min</option>
                  <option>1h</option>
                  <option>1h 30min</option>
                  <option>2h</option>
                  <option>2h 30min</option>
                  <option>3h</option>
                  <option>3h 30min</option>
                  <option>4h</option>
                  <option>4h 30min</option>
                  <option>5h</option>
                  <option>5h 30min</option>
                  <option>6h</option>
                  <option>6h 30min</option>
                  <option>7h</option>
                  <option>7h 30min</option>
                  <option>8h</option>
                  <option>8h 30min</option>
                  <option>9h</option>
                  <option>9h 30min</option>
                  <option>10h</option>
                  <option>10h 30min</option>
                  <option>11h</option>
                  <option>11h 30min</option>
                  <option>12h</option>
                  <option>12h 30min</option>
                  <option>13h</option>
                  <option>13h 30min</option>
                  <option>14h</option>
                  <option>14h 30min</option>
                  <option>15h</option>
                  <option>15h 30min</option>
                  <option>16h</option>
                  <option>16h 30min</option>
                  <option>17h</option>
                  <option>17h 30min</option>
                  <option>18h</option>
                  <option>18h 30min</option>
                  <option>19h</option>
                  <option>19h 30min</option>
                  <option>20h</option>
                  <option>20h 30min</option>
                  <option>21h</option>
                  <option>21h 30min</option>
                  <option>22h</option>
                  <option>22h 30min</option>
                  <option>23h</option>
                  <option>23h 30min</option>
                </select>
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label>Regular Price <span class="required">*</span></label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text bg-dark">$</span>
                  </div>
                  <input type="number" name="service_price" required class="form-control" min="0" aria-label="Price">
                </div>
              </div>
            </div>

            <div class="col-md-6">
              <div class="form-group">
                <label>Discount (if any)</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text bg-dark">%</span>
                  </div>
                  <input type="number" class="form-control" name="service_discount" min="0" max="100" maxlength="3" aria-label="Discount">
                </div>
              </div>
            </div>

            <button type="submit" class="btn btn-primary me-2">Submit</button>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancel</button>
      </div>
    </div>
  </div>
</div>


<div class="modal fade" id="serviceCategory" tabindex="-1" aria-labelledby="serviceCategoryLabel" style="display: none;" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="serviceCategoryLabel">Add Category</h5>
        <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <form class="js-form" action="<?=asset('admin/services/category/add')?>" method="POST" after="<?=asset('admin/services/category/refresh')?>">
          <?php echo csrf_field(); ?>
          <div class="form-group">
            <label for="category_name">Category Name</label>
            <input type="text" required class="form-control" name="category_name" id="category_name">
          </div>
          <div class="form-group">
            <label for="service_desc">Category Icon (300 x 300)</label>
            <input type="file" name="file" class="dropify image_file" data-max-width="300" data-max-height="300" />
          </div>
          <button type="submit" class="btn btn-primary me-2">Submit</button>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancel</button>
      </div>
    </div>
  </div>
</div>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/services/services.blade.php ENDPATH**/ ?>