  <!-- plugins:js -->
  <script src="<?=asset('admin/vendors/js/vendor.bundle.base.js')?>"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
  <!-- endinject -->
  <!-- Plugin js for this page -->
  <script src="<?=asset('admin/vendors/chart.js/Chart.min.js')?>"></script>
  <script src="<?=asset('admin/vendors/datatables.net/jquery.dataTables.js')?>"></script>
  <script src="<?=asset('admin/vendors/datatables.net-bs4/dataTables.bootstrap4.js')?>"></script>
  <script src="<?=asset('admin/js/dataTables.select.min.js')?>"></script>
  <script src="<?=asset('admin/vendors/dropify/dropify.min.js')?>"></script>
  <!-- End plugin js for this page -->
  <!-- inject:js -->
  <script src="<?=asset('admin/js/off-canvas.js')?>"></script>
  <script src="<?=asset('admin/js/hoverable-collapse.js')?>"></script>
  <script src="<?=asset('admin/js/template.js')?>"></script>
  <script src="<?=asset('admin/js/settings.js')?>"></script>
  <script src="<?=asset('admin/js/todolist.js')?>"></script>
  <!-- endinject -->
  <!-- Custom js for this page-->
  <script src="<?=asset('admin/js/dashboard.js')?>"></script>
  <script src="<?=asset('admin/js/Chart.roundedBarCharts.js')?>"></script>

  <script src="<?=asset('admin/vendors/fullcalendar/moment.min.js')?>"></script>
  <script src="<?=asset('admin/vendors/fullcalendar/fullcalendar.min.js')?>"></script>
  <script src="<?=asset('admin/vendors/dragula/dragula.min.js')?>"></script>
  <script src="<?=asset('admin/vendors/fullcalendar/calendar.js')?>"></script>
  <script src="<?=asset('admin/vendors/select2/select2.min.js')?>"></script>
  <script src="<?=asset('admin/vendors/jquery-toast-plugin/jquery.toast.min.js')?>"></script>
  <script src="//cdnjs.cloudflare.com/ajax/libs/timepicker/1.3.5/jquery.timepicker.min.js"></script>
  <script src="<?=asset('admin/js/sweetalert.min.js')?>"></script>
  <script src="<?=asset('admin/js/intlTelInput-jquery.min.js')?>"></script>

  <?php echo csrf_field(); ?>

  <script>

    jQuery(document).ready(function() {

        jQuery('.card-people').addClass('active')

        jQuery('body').find('.tab-link-edit').first().click()

        employeePosition()
        

        function employeePosition() {

            jQuery('.employees-list').each(function() {

                let i = 0

                jQuery(this).find('li').each(function() {

                    if(i > 0){

                        jQuery(this).css('left','-'+i+'rem')
                    }

                    i++;

                })

            })

        }

        // Day Switch

        jQuery('body').delegate('input[name="day_type"]', 'click' ,function() {

            jQuery(this).parents('.time-parent').toggleClass('collapsed')

        })

        iniate()

        function iniate(){

            jQuery('.timepicker-example').each(function() {

                jQuery(this).timepicker({
                    timeFormat: 'h:mm p',
                    interval: jQuery(this).attr('interval') ? jQuery(this).attr('interval') : 30,
                    minTime: jQuery(this).attr('minTime') ? jQuery(this).attr('minTime') : '9',
                    maxTime: jQuery(this).attr('maxTime') ? jQuery(this).attr('maxTime') : '5:00pm',
                    defaultTime: jQuery(this).val(),
                    startTime: jQuery(this).attr('startTime') ? jQuery(this).attr('startTime') : '09:00',
                    dynamic: false,
                    dropdown: true,
                    scrollbar: true
                });

            })

            jQuery('input[data-type="tel"]').each(function() {

                let ctry = jQuery(this).parents('.iti').siblings('input.country').val()

                jQuery(this).intlTelInput({
                    nationalMode:false,
                    autoInsertDialCode:true,
                    separateDialCode:true,
                    initialCountry: ctry ? ctry : 'us'
                }).on('countrychange', function (e, countryData) {

                    let data  = jQuery(this).intlTelInput("getSelectedCountryData")

                    jQuery(this).parents('.iti').siblings('input.phone').val(data.dialCode+jQuery(this).val())

                    jQuery(this).parents('.iti').siblings('input.country').val(data.iso2)

                });
            })

            jQuery(".select2").select2({

               minimumResultsForSearch: -1

           })

        // Drag to Reorder

            dragula([document.getElementById("small-column"), document.getElementById("category-list-left")])
            dragula([document.getElementById("table-column"), document.getElementById("services-list-right")])
            .on('drop', function(el) {

              console.log($(el));

          })


        // Dropify View for Uploaded Image

            jQuery('.dropify').dropify();



        }

        jQuery('input[data-type="tel"]').keyup(function(e) {

            jQuery(this).val(jQuery(this).val().replace(/\D/g, ''))

        });


        let imageurl = '<?=asset('admin/media/uploadimage')?>'

        token = jQuery('input[name="_token"]').val()






        // Form Submit Ajax

        jQuery('body').delegate('.js-form', 'submit', function(e) {

            e.preventDefault()

            let action,type,data,token,after

            token = jQuery(this).find('input[name="_token"]').val()

            action = jQuery(this).attr('action')

            type = jQuery(this).attr('method')

            data = new FormData(jQuery(this)[0])

            data.delete('file')

            after = jQuery(this).attr('after')

            sendAjaxRequest(action,type,data,token,after)

        })

        // Ajax Function For all Froms

        function sendAjaxRequest(url,type,data,token,after=''){

            jQuery.ajax({

                url: url,

                type: type,

                data: data,

                processData: false,

                contentType: false,

                cache: false,

                dataType: "json",

                encode: true,

            }).done( function(response) {

                jQuery('.close').click();

                showResponse(response.message,after)


            }).fail(function(response) {

                showError(response)
            })

        }

        function showResponse(message,after) {

            swal({
                title: 'Success!',
                text: message,
                icon: 'success',
                timer: 2000,
                button: false
            }).then(function() {

                if( after != '' ) {

                    // Just for category update in services

                    message.includes('Category') ? jQuery('#cat-loader').show() : jQuery('#table-loader').show() 

                    jQuery.ajax({

                        url: after,

                        type: 'POST',

                        data: '',

                        headers: {'X-CSRF-TOKEN': token },

                        processData: false,

                        contentType: false,

                        cache: false,

                        dataType: "json",

                        encode: true,

                    }).done(function(response) {

                        message.includes('Category') ? jQuery('#small-column').html(response.body) : 

                        jQuery('#table-column').html(response.body) 

                        jQuery('#cat-loader,#table-loader').hide()

                    })

                }

            })
        }

        function showError(message) {

        }


        // File Uploader
        jQuery('.image_file').change(function() {

            let elem = jQuery(this);

            let file = elem[0].files[0]

            let data = new FormData()

            data.append('file',file)

            jQuery.ajax({

                url: imageurl,

                type: 'POST',

                data: data,

                headers: {'X-CSRF-TOKEN': token },

                processData: false,

                contentType: false,

                cache: false,

                dataType: "json",

                encode: true,

            }).done(function(response) {

                elem.after('<input type="hidden" name="image" value="'+response.path+'">')

            })

        })



        // Edit Function

        jQuery('body').delegate('.edit','click',function() {

            let dir = jQuery(this).attr('data-dir')
            
            let id = jQuery(this).attr('data')

            let data = {id:id }

            let item = jQuery(this).attr('data-item')
            
            let current = window.location.href

            history.pushState({url:current}, 'Edit '+item , dir+'/'+id );

            jQuery.ajax({

                type: 'POST',

                url: dir,

                data:data,

                headers: {'X-CSRF-TOKEN': token }

            }).done(function(response) {

                response = JSON.parse(response)

                jQuery('#main-screen').html(response.html)

                jQuery('.tab-link-edit').first().click()

            })

        })


        // Edit Screens

        let check = jQuery('.tab-link-edit')

        jQuery('body').delegate('.tab-link-edit','click',function() {

            jQuery('.tab-link-edit').removeClass('active')

            jQuery(this).addClass('active')            

            let dir = jQuery(this).attr('data-direction')

            let id = jQuery(this).attr('data-id')

            let item = jQuery(this).attr('data-item')

            jQuery.ajax({

                url: dir,

                type: 'POST',

                data: {id:id,view:item},

                headers:{'X-CSRF-TOKEN': token },

            }).done(function(response) {

                jQuery('#edit-screen').html(response)

                iniate()

            })

        })


        // Category Service Tabs

        jQuery('body').delegate('#small-column .tab-link' , 'click' ,function() {

            elem  = jQuery(this)

            jQuery('.tab-link').removeClass('active').attr('disabled','true')

            elem.addClass('active')
            
            let cat = elem.attr('data-tab')

            let url = elem.attr('data-url')

            jQuery('#table-loader').show()

            jQuery.ajax({

                url: url,

                type: 'POST',

                data: {id:cat},

                headers:{'X-CSRF-TOKEN': token },

            }).done(function(response) {

                response = JSON.parse(response)

                jQuery('#table-column').html(response.body)

                jQuery('#table-loader').hide()

                employeePosition()
                
                jQuery('.tab-link').removeAttr('disabled')

            })

        })


        // Delete Script

        jQuery('body').delegate('.dropdown-item.delete', 'click', function() {

            confirm('Do you really wish to delete this Item?')

            let item = jQuery(this)

            let dir = item.attr('data-dir')

            let id = item.attr('data-id')

            jQuery.ajax({

                url: dir,

                type: 'GET',

                data: {id:id},

            }).done(function(response) {

                response = JSON.parse(response)


                if( item.parents('.card.rounded.border').length != 0 ){

                    item.parents('.card.rounded.border').fadeOut()
                }
                else {

                    window.location.href = history.state.url 
                    
                } 


                jQuery.toast({
                  heading: 'Success',
                  text: response.message,
                  showHideTransition: 'slide',
                  icon: 'success',
                  loaderBg: '#000',
                  position: 'top-right'
              })
            })

        })


    })

</script><?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/partials/scripts.blade.php ENDPATH**/ ?>