<?php

namespace App\Http\Controllers\AdminControllers;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use Auth;

class DashboardController extends Controller
{
    
    public function dashboard(Request $request){
        
        if(Auth::check()) : 
            
            $title  = 'Admin | Dashboard';

            return view("admin.dashboard")->with('title' , $title);  
        
        else :
            
            return redirect('login');
            
        endif;
    }

    public function calendar(Request $request){
                    
            $title  = 'Admin | Calendar';

            return view("admin.calendar.calendar")->with('title' , $title);
        
    }

}
