<?php

namespace App\Models\Backend;

use Illuminate\Database\Eloquent\Model;
use App\Models\Backend\Imagetable;
use Auth;
class Images extends Model
{

    protected $table = 'image_categories';
    protected $guarded = [];


    public static function imagedata($filename, $path,$extension){


        $user_id = Auth::user()->id;

        $imagedata = Imagetable::insertGetId(

            [
                'name' => $filename, 

                'user_id' => $user_id

            ]

        );

        $imagecatedata = self::create(

            [

                'image_id' => $imagedata,

                'image_type' => 'ACTUAL',

                'height' =>300,

                'width' =>300,

                'path' =>$path ,

                'extension' => $extension

            ]

        );
        return $imagedata;

    }


}
