
<?php $location = $data['location'];?>

<div class="content-wrapper">
  <div class="d-flex justify-content-between mb-3 pl-3 align-items-center">
    <ul class="list-unstyled m-0 d-flex align-items-center justify-content-between">
      <li><h4 class="card-title m-0"><a href="<?=asset('admin/location')?>" class="nav-link text-primary py-3 px-1">Location</a></h4></li>
      <li><h4 class="mdi mdi-chevron-right m-0 d-flex  py-3 px-1"></h4></li>
      <li><h4 class="card-title m-0  py-3 px-1"><?=$location['location_name']?></h4></li>
    </ul>

    <div class="dropdown">
      <a class="dropdown-toggle" type="button" id="editdropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="mdi icon-md text-primary mdi-dots-horizontal"></i>
      </a>
      <div class="dropdown-menu" aria-labelledby="editdropdown" style="">
        <a class="dropdown-item delete" data-dir="<?=asset('admin/location/delete')?>" data-id="<?=$location['location_id']?>" href="javascript:;"><i class="mdi mdi-delete"></i>Delete</a>
      </div>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <div class="row">
        <div class="col-md-12">
          <div id="edit-screen" class="position-relative">
            <form class="js-form" action="<?=asset('admin/location/update')?>" method="POST" after="">
              @csrf

              <div class="form-group">
                <label for="customer_icon">Location Image (500 x 500) <span class="required">*</span></label>
                <input type="file" name="file" id="customer_icon" class="dropify image_file" data-max-width="500" data-max-height="500" data-default-file="<?=asset($location['location_image'])?>"/>
              </div>

              <input type="hidden" name="location_id" value="<?=$location['location_id']?>">
              <div class="form-group">
                <label for="location_name">Location Name</label>
                <input type="text" required class="form-control" value="<?=$location['location_name']?>" name="location_name" id="location_name" placeholder="Location Name">
              </div>

              <div class="form-group">
                <label for="location_name">Location Info</label>
                <textarea class="form-control" name="location_info" id="location_info"><?=$location['location_info']?></textarea>
              </div>

  
              <div class="form-group">
                <label for="location_address">Location Address</label>
                <input type="text" required class="form-control" value="<?=$location['location_address']?>" name="location_address" id="location_address" placeholder="Location Address">
              </div>

              <div class="form-group">
                <label for="location_phone">Location Phone</label>
                <input type="text" data-type="tel" required class="form-control" value="<?=$location['location_phone']?>" name="location_phone" id="location_phone" placeholder="Location Phone">
              </div>

              <button type="submit" class="btn btn-primary me-2">Submit</button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>