<?php $employee = $data['employee']; ?>

<form class="js-form" action="<?=asset('admin/employees/update')?>" method="POST" after="">
  <?php echo csrf_field(); ?>
  <div class="row">
    <div class="col-md-4">
      <div class="form-group">
        <input type="hidden" name="employee_id" value="<?=$employee['employee_id']?>">
        <label for="employee_icon">Employee Image (500 x 500) <span class="required">*</span></label>
        <input type="file" name="file" id="employee_icon" class="dropify image_file" data-default-file="<?=asset($employee['employee_image'])?>" data-max-width="500" data-max-height="500" />
      </div>
    </div>

    <div class="col-md-8">

      <div class="form-group">
        <label for="employee_first_name">First Name <span class="required">*</span></label>
        <input type="text" required class="form-control" value="<?=$employee['employee_first_name']?>" name="employee_first_name" id="employee_first_name" placeholder="Enter first name">
      </div>

      <div class="form-group">
        <label for="employee_last_name">Last Name <span class="required">*</span></label>
        <input type="text" required class="form-control" value="<?=$employee['employee_last_name']?>" name="employee_last_name" id="employee_last_name" placeholder="Enter last name">
      </div>

      <div class="form-group">
        <label for="employee_email">Email <span class="required">*</span></label>
        <input type="email" required class="form-control" value="<?=$employee['employee_email']?>" name="employee_email" id="employee_email" placeholder="example@yourcomany.com">
      </div>

      <div class="form-group">

        <label for="employee_phone">Phone <span class="required">*</span></label>
        <input type="text" data-type="tel" required class="form-control" value="<?=$employee['employee_phone']?>" id="employee_phone" placeholder="Phone Number">

        <input type="hidden" class="phone" name="employee_phone" value="<?=$employee['employee_phone']?>">
        <input type="hidden" class="country" name="employee_country" value="<?=$employee['employee_country']?>">

      </div>

      <div class="form-group">
        <label for="employee_services">Services</label>
        <select class="select2 form-control w-100" name="employee_services[]" multiple id="employee_services" data-placeholder="Select Services">

          <?php


          if($data['services']['data']) :

            isset($employee['employee_services']) ? $arr = unserialize( $employee['employee_services'] )  : $arr = [] ;
            
            foreach( $data['services']['data'] as $service ) :
              
              in_array( $service['service_id'] , $arr ) ? $attr = 'selected' : $attr = '';  ?>

              <option value="<?=$service['service_id']?>" <?=$attr?>><?=$service['service_name']?></option>

            <?php endforeach;

          endif; ?>


        </select>
      </div>

    </div>

    <button type="submit" class="btn btn-primary me-2">Submit</button>
  </div>
</form><?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/employees/employee-info.blade.php ENDPATH**/ ?>