<?php $service = $data['services'];?>

<div class="p-3 position-relative">
      <form class="js-form" action="<?=asset('admin/services/update')?>" method="POST" after="">
        <?php echo csrf_field(); ?>

        <input type="hidden" name="service_id" value="<?=$service['service_id']?>">
        <div class="row">
          <div class="col-md-4">
            <div class="form-group">
              <label for="service_icon">Service Icon (500 x 500) <span class="required">*</span></label>
              <input type="file" name="file" id="service_icon" class="dropify image_file" data-max-width="500" data-max-height="500" data-default-file="<?=asset($service['service_icon'])?>"/>
            </div>
          </div>

          <div class="col-md-8">

            <div class="form-group">
              <label for="service_name">Service Name <span class="required">*</span></label>
              <input type="text" required class="form-control" value="<?=$service['service_name']?>" name="service_name" id="service_name" placeholder="">
            </div>

            <div class="form-group">
              <label for="service_category">Category <span class="required">*</span></label>
              <select class="select2 w-100" name="service_category" id="service_category">

                <?php

                if( $data['categories'] ) :

                  foreach($data['categories'] as $key => $cat) :

                    $service['service_category'] == $cat ? $attr = 'selected' : $attr = ''; ?>

                    <option value="<?=$cat['category_id']?>" <?=$attr?> ><?=$cat['category_name']?></option>

                  <?php endforeach;

                endif;?>

              </select>
            </div>

            <div class="form-group">
              <label for="service_description">Description <span class="required">*</span></label>
              <textarea class="form-control" required name="service_description" id="service_description" rows="5" spellcheck="false"><?=$service['service_description']?></textarea>
            </div>
          </div>


          <button type="submit" class="btn btn-primary me-2">Submit</button>
        </div>
      </form>
    </div><?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/services/general.blade.php ENDPATH**/ ?>